/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2004-2007 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#include "text_frame.h"

using namespace TkResolver;
using namespace Experimenter;

TextFrame:: TextFrame(const String &title, TextPtr text)  
  : Gtk::Frame(title),
    _text(text)
{

  Gtk::ScrolledWindow * notes_scroll = Gtk::manage(new Gtk::ScrolledWindow);
  add(*notes_scroll);
  notes_scroll->set_policy(Gtk::POLICY_AUTOMATIC, Gtk::POLICY_AUTOMATIC);
  notes_scroll->set_shadow_type(Gtk::SHADOW_IN);

  Gtk::TextView * notes_view = Gtk::manage(new Gtk::TextView(_text));
  notes_scroll->add(*notes_view);

  show_all_children();
}

TextPtr
TextFrame:: get_text()
{
  return _text;
}
