/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2004 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#ifndef __TK_NUMERICAL_TYPES_H__
#define __TK_NUMERICAL_TYPES_H__

#include <vector>

#include <gmpxx.h>

namespace TkResolver {
  
  typedef short SmallNumber;
  typedef std::vector<SmallNumber> SmallNumbers;
  
  typedef mpz_class Integer;
  typedef mpq_class Rational;
  typedef mpf_class Real;
  
  typedef Integer Count;
  typedef Rational Probability;
  typedef Rational Position; /***< Screen position */
  
}; /* namespace TkResolver */


#endif /* __TK_STRING_H__ */
