/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2007 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#include "libtkdb/data_set.h"

using namespace TkResolver;
using namespace Db;

DataSet:: DataSet (odbc::ResultSet *result)
  : _result(result)
{
}

DataSet:: ~DataSet()
{
  odbc::Statement *stmt = _result->getStatement();
  
  delete _result;
  
  if (stmt)
    delete stmt;
}

odbc::ResultSet &
DataSet:: operator*()
{
  return *_result;
}

odbc::ResultSet *
DataSet:: operator->()
{
  return _result;
}
