/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2004-2007 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#include "data_selector_input_list.h"

using namespace TkResolver;
using namespace Db::Ui;

DataInput:: DataInput(const Glib::ustring & title, Gtk::Window & parent)
  : Gtk::Dialog(title, parent, true)
{
  add_button(Gtk::Stock::OK,     Gtk::RESPONSE_OK);
  add_button(Gtk::Stock::CANCEL, Gtk::RESPONSE_CANCEL);
}

bool
DataInput:: get_values(Db::PStatement &stmt)
{
  int response = run();

  if (response != Gtk::RESPONSE_OK)
    return false;
  
  get_values_sub(stmt);
  return true;
}

